<?php

namespace Waggybytes\SimplyRemindMe\Library\Models;

use Illuminate\Database\Eloquent\Model;

class Lab extends Model
{
    protected $casts = [
        'is_active' => 'boolean'
    ];

    protected $fillable = ['name', 'is_active'];

    public function active()
    {
        return self::where('is_active', true)->get();
    }

    public function users()
    {
        return $this->belongsToMany(User::class, 'user_labs');
    }
}